Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.ncpext
Class NCPExtensionInfoImpl

    java.lang.Object
      |
      +--com.novell.service.ncpext.NCPExtensionInfoImpl

public class NCPExtensionInfoImpl
extends java.lang.Object
implements , NCPExtensionInfo, java.io.Serializable

Provides the value for attribute NCPExtensionInfo, and methods for getting information about the NCP Extension loaded on the server.

See Also:
  `NCPExtensionInfo`

Constructor Summary
`NCPExtensionInfoImpl(int id)` Creates an NCPExtensionInfoImpl object using the passed in extensionID.
`NCPExtensionInfoImpl(java.lang.String name)` Creates an NCPExtensionInfoImpl object using the passed in name.

Method Summary
`int` | `getExtensionID()` Returns the NCP Extension ID.
`java.lang.String` | `getExtensionName()` Returns the NCP Extension name.
`int` | `getMajorVersion()` Returns the NCP Extension major version.
`int` | `getMinorVersion()` Returns the NCP Extension minor version.
`byte[]` | `getQueryData()` Returns the NCP Extension query data.
`int` | `getRevision()` Returns the NCP Extension revision.
`void` | `setExtensionID(int id)` Sets the NCP Extension ID.
`void` | `setExtensionName(java.lang.String name)` Sets the NCP Extension name.
`void` | `setMajorVersion(int ver)` Sets the NCP Extension major version.
`void` | `setMinorVersion(int ver)` Sets the NCP Extension minor version.
`void` | `setQueryData(byte[] data)` Sets the NCP Extension query data.
`void` | `setRevision(int ver)` Sets the NCP Extension revision.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NCPExtensionInfoImpl

    public NCPExtensionInfoImpl(java.lang.String name)

  Creates an NCPExtensionInfoImpl object using the passed in name.
  Parameters:
    `name` - The NCP Extension name.

### NCPExtensionInfoImpl

    public NCPExtensionInfoImpl(int id)

  Creates an NCPExtensionInfoImpl object using the passed in extensionID.
  Parameters:
    `id` - The NCP Extension ID.

Method Detail

### getExtensionID

    public int getExtensionID()

  Returns the NCP Extension ID.
  Specified by:
    getExtensionID in interface NCPExtensionInfo
  Returns:
    The NCP Extension ID.

### getExtensionName

    public java.lang.String getExtensionName()

  Returns the NCP Extension name.
  Specified by:
    getExtensionName in interface NCPExtensionInfo
  Returns:
    The NCP Extension Name.

### getMajorVersion

    public int getMajorVersion()

  Returns the NCP Extension major version.
  Specified by:
    getMajorVersion in interface NCPExtensionInfo
  Returns:
    The NCP Extension major version.

### getMinorVersion

    public int getMinorVersion()

  Returns the NCP Extension minor version.
  Specified by:
    getMinorVersion in interface NCPExtensionInfo
  Returns:
    The NCP Extension minor version.

### getRevision

    public int getRevision()

  Returns the NCP Extension revision.
  Specified by:
    getRevision in interface NCPExtensionInfo
  Returns:
    The NCP Extension revision.

### getQueryData

    public byte[] getQueryData()

  Returns the NCP Extension query data.
  Specified by:
    getQueryData in interface NCPExtensionInfo
  Returns:
    The NCP Extension query data in a byte array.

### setExtensionID

    public void setExtensionID(int id)

  Sets the NCP Extension ID.
  Specified by:
    setExtensionID in interface NCPExtensionInfo
  Parameters:
    `id` - The NCP Extension ID.

### setExtensionName

    public void setExtensionName(java.lang.String name)

  Sets the NCP Extension name.
  Specified by:
    setExtensionName in interface NCPExtensionInfo
  Parameters:
    `name` - The NCP Extension name as a String.

### setMajorVersion

    public void setMajorVersion(int ver)

  Sets the NCP Extension major version.
  Specified by:
    setMajorVersion in interface NCPExtensionInfo
  Parameters:
    `ver` - The NCP Extension major verion.

### setMinorVersion

    public void setMinorVersion(int ver)

  Sets the NCP Extension minor version.
  Specified by:
    setMinorVersion in interface NCPExtensionInfo
  Parameters:
    `ver` - The NCP Extension minor verion.

### setRevision

    public void setRevision(int ver)

  Sets the NCP Extension revision.
  Specified by:
    setRevision in interface NCPExtensionInfo
  Parameters:
    `ver` - The NCP Extension revision.

### setQueryData

    public void setQueryData(byte[] data)

  Sets the NCP Extension query data.
  Specified by:
    setQueryData in interface NCPExtensionInfo
  Parameters:
    `data` - The NCP Extension query data in a byte array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD